Skip to content

Submit a review

POST
/cms/product/{id}/reviews

Only customers with a paid order of the product can review it, once. The review is pending until approved by a moderator.

id
required
integer
object
rating
required
integer
>= 1 <= 5
body
required
string
<= 5000 characters

Review created (pending moderation)

Product Review

A customer review of a product. Only approved reviews are listed publicly.

object
id

Review ID

integer format: int64
product_id

Product ID

integer format: int64
author_name

Public name of the reviewer (nickname, display name, or first and last name)

string
rating

Rating

integer
>= 1 <= 5
body

Review text (plain text)

string
status

Moderation status

string
Allowed values: pending approved declined
timestamp

Submission date

string format: date-time
last_edited

Last edit by the customer

string format: date-time
nullable

INVALID_RATING, REVIEW_BODY_REQUIRED or REVIEW_BODY_TOO_LONG

REVIEWS_DISABLED or PURCHASE_REQUIRED

Product not found or not available

REVIEW_ALREADY_EXISTS